import click
from flask.cli import AppGroup

from ..models import db


npc_cli = AppGroup('npc')

@npc_cli.command('create classes')
def create_class():
    import csv
    from .models import CharacterClass

    classes = []

    with open('acks/npc/default_classes.csv', newline='') as data:
        reader = csv.DictReader(data)
        for row in reader:
            classes.append(CharacterClass(**row))
    db.session.bulk_save_objects(classes)
    db.session.commit()
